Change project namespace on kuwiktionary
Closed, ResolvedPublic

Description

Hello,

Could you change the Namespace {{ns:4}} or {{ns:Project}} to make appear « Wîkîferheng » instead of « Wiktionary ». Thank you in advance

Cf. Kurdish Wiktionary: http://ku.wiktionary.org/wiki/Destp%C3%AAk


Version: unspecified
Severity: enhancement

Details

bzimport set Reference to bz27878.
bzimport added a subscriber: Unknown Object (MLST).
Ghybu created this task.Mar 5 2011, 8:41 PM

Hint for whoever ends up handling this shell request: the project namespace name is in $wgMetaNamespace

Your change has been completed.
Please reopen this ticket if anything went wrong.

The following configuration settings have been changed:

Index: InitialiseSettings.php

  • InitialiseSettings.php (revision 1619)

+++ InitialiseSettings.php (working copy)
@@ -1622,6 +1622,7 @@

'kowiktionary'  => '위키낱말사전',
'krcwiki'	    => 'Википедия',
'kuwiki'        => 'Wîkîpediya',

+ 'kuwiktionary' => 'Wîkîferheng',

'langcomwiki'   => 'LangCom',
'lawiki'        => 'Vicipaedia',
'lawikibooks'   => 'Vicilibri',

You can find the entire config file at
http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php

Ghybu added a comment.Mar 13 2011, 1:13 PM

Thank you but the pages showing the Namespace « Wîkîferheng » (before the change) have disappeared (cf: http://ku.wiktionary.org/wiki/Destp%C3%AAk), how can we recover?

(In reply to comment #3)

Thank you but the pages showing the Namespace « Wîkîferheng » (before the
change) have disappeared (cf: http://ku.wiktionary.org/wiki/Destp%C3%AAk), how
can we recover?

Ashar forgot to run namespaceDupes.php . I just ran it, and it fixed most of those cases.

A few couldn't be fixed automatically and will have to be fixed manually by a local administrator:

... 57985 (0,"Wîkîferheng:Admînistrator") -> (4,"Admînistrator") [[Wîkîferheng:Admînistrator]]
... * cannot resolve automatically; page exists with ID 58769 *
... * old title Admînistrator
...
* new title Admînistrator/BROKEN
... * using suffixed form [[Wîkîferheng:Admînistrator/BROKEN]] *
... resolving on page... ok.
... 3070 (0,"Wîkîferheng:Alîkarî") -> (4,"Alîkarî") [[Wîkîferheng:Alîkarî]]
... * cannot resolve automatically; page exists with ID 58767 *
... * old title Alîkarî
...
* new title Alîkarî/BROKEN
... * using suffixed form [[Wîkîferheng:Alîkarî/BROKEN]] *
... resolving on page... ok.
... 49128 (0,"Wîkîferheng:Bots") -> (4,"Bots") [[Wîkîferheng:Bots]]
... * cannot resolve automatically; page exists with ID 59057 *
... * old title Bots
...
* new title Bots/BROKEN
... * using suffixed form [[Wîkîferheng:Bots/BROKEN]] *
... resolving on page... ok.
... 9792 (0,"Wîkîferheng:Der_barê") -> (4,"Der_barê") [[Wîkîferheng:Der barê]]
... * cannot resolve automatically; page exists with ID 59042 *
... * old title Der_barê
...
* new title Der_barê/BROKEN
... * using suffixed form [[Wîkîferheng:Der barê/BROKEN]] *
... resolving on page... ok.
... 59037 (0,"Wîkîferheng:Koordînator") -> (4,"Koordînator") [[Wîkîferheng:Koordînator]]
... * cannot resolve automatically; page exists with ID 12022 *
... * old title Koordînator
...
* new title Koordînator/BROKEN
... * using suffixed form [[Wîkîferheng:Koordînator/BROKEN]] *
... resolving on page... ok.
... 58811 (0,"Wîkîferheng:Peyva_hefteyê") -> (4,"Peyva_hefteyê") [[Wîkîferheng:Peyva hefteyê]]
... * cannot resolve automatically; page exists with ID 19604 *
... * old title Peyva_hefteyê
...
* new title Peyva_hefteyê/BROKEN
... * using suffixed form [[Wîkîferheng:Peyva hefteyê/BROKEN]] *
... resolving on page... ok.
... 25552 (0,"Wîkîferheng:Xwestin") -> (4,"Xwestin") [[Wîkîferheng:Xwestin]]
... * cannot resolve automatically; page exists with ID 59138 *
... * old title Xwestin
...
* new title Xwestin/BROKEN
... * using suffixed form [[Wîkîferheng:Xwestin/BROKEN]] *
... resolving on page... ok.

Ghybu reopened this task as "Open".EditedJan 10 2017, 5:01 AM

Although the namespace is changed to "Wîkîferheng", the Magic words {{SITENAME}} always indicates "Wiktionary." Can we change it too?

Ghybu added a comment.Thu, Feb 2, 12:38 PM

Note: I do not know if this is the right place to talk about it but there is also a problem for the display of the mobile HomePage, I asked the question here.

Reedy added a subscriber: Reedy.Thu, Feb 2, 2:13 PM

Note: I do not know if this is the right place to talk about it but there is also a problem for the display of the mobile HomePage, I asked the question here.

If you don't get any further response on the talk page, please create a new task for it :)

Dereckson moved this task from Working on to To deploy on the Wikimedia-Site-requests board.EditedThu, Feb 2, 3:03 PM

While Phabricator was in read-only mode, I uploaded https://gerrit.wikimedia.org/r/#/c/335478/ by the way to use also Wîkîferheng as the site name, and not only as the meta namespace name.

Change 335478 merged by jenkins-bot:
Set site name for ku.wiktionary

https://gerrit.wikimedia.org/r/335478

Mentioned in SAL (#wikimedia-operations) [2017-02-03T00:48:26Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Set site name for ku.wiktionary (T29878) (duration: 00m 39s)

Dereckson closed this task as "Resolved".Fri, Feb 3, 12:52 AM

I've tested {{SITENAME}}, the parser well renders it as Wîkîferheng now.

Ghybu added a comment.Sun, Feb 5, 3:13 PM

I've tested {{SITENAME}}, the parser well renders it as Wîkîferheng now.

Thanks!

You're welcome.